全部产品

JAVA SDK安装

更新时间:2019-08-15 12:11:10

HBase增强版支持使用HBase-1.x和HBase-2.x版本客户端进行访问,同时需要依赖访问插件alihbase-connector,以支持安全认证、公网访问等能力。用户可以通过以下几种方式,完成JAVA SDK的安装

Maven项目依赖

alihbase-connector中已经包含hbase-client依赖,无需在额外依赖hbase-client。如果您的项目中已经包含了hbase-client,也没有关系,按照下述说明选择依赖相应版本的alihbase-client即可。alihbase-connector有两个系列的版本,1.x版本对应依赖的是HBase-1.x系列的客户端,2.x版本对应依赖的是HBase-2.x系列的客户端。根据情况,请在您的项目增加其中一个maven依赖。

如果您的项目已经包含对HBase-1.x的Maven依赖,请添加alihbase-connector-1.x版本的依赖

  1. <dependency>
  2. <groupId>com.alibaba.hbase</groupId>
  3. <artifactId>alihbase-connector</artifactId>
  4. <version>1.0.5</version>
  5. </dependency>

如果您的项目已经包含了对HBase-2.x的Maven依赖,请添加alihbase-connector-2.x版本的依赖

  1. <dependency>
  2. <groupId>com.alibaba.hbase</groupId>
  3. <artifactId>alihbase-connector</artifactId>
  4. <version>2.0.5</version>
  5. </dependency>

如果您的项目中没有添加过任何HBase相关依赖,请添加上述alihbase-connector-2.x版本的依赖

下载压缩包

您也可以把alihbase-connector的jar包以及其所有的依赖打包下载添加到您的工程中来完成安装。根据您的情况,从以下压缩包选择一个进行下载,并将其解压后的jars全部拷贝到您的项目中:

如果您的项目中没有添加过任何HBase相关的jar,点此下载全部所需依赖

如果您的项目中已经添加过HBase-1.x相关jar,点此下载 alihbase-connector-1.x jar文件

如果您的项目中已经添加过HBase-2.x相关jar,点此下载 alihbase-connector-2.x jar文件